org.apache.hadoop.mapred

## Class Merger.Segment<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.Merger.Segment<K,V>

- Enclosing class:
    Merger

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public static class Merger.Segment<K,V>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Segment(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, org.apache.hadoop.io.compress.CompressionCodec codec, boolean preserve)`
    `Segment(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, org.apache.hadoop.io.compress.CompressionCodec codec, boolean preserve, Counters.Counter mergedMapOutputsCounter)`
    `Segment(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, org.apache.hadoop.io.compress.CompressionCodec codec, boolean preserve, Counters.Counter mergedMapOutputsCounter, long rawDataLength)`
    `Segment(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, long segmentOffset, long segmentLength, org.apache.hadoop.io.compress.CompressionCodec codec, boolean preserve)`
    `Segment(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, long segmentOffset, long segmentLength, org.apache.hadoop.io.compress.CompressionCodec codec, boolean preserve, Counters.Counter mergedMapOutputsCounter)`
    `Segment(IFile.Reader<K,V> reader, boolean preserve)`
    `Segment(IFile.Reader<K,V> reader, boolean preserve, Counters.Counter mapOutputsCounter)`
    `Segment(IFile.Reader<K,V> reader, boolean preserve, long rawDataLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLength()`
    `long` | `getPosition()`
    `long` | `getRawDataLength()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Segment

          public Segment(org.apache.hadoop.conf.Configuration conf,
                         org.apache.hadoop.fs.FileSystem fs,
                         org.apache.hadoop.fs.Path file,
                         org.apache.hadoop.io.compress.CompressionCodec codec,
                         boolean preserve)
                  throws IOException

      Throws:
        `IOException`

    - #### Segment

          public Segment(org.apache.hadoop.conf.Configuration conf,
                         org.apache.hadoop.fs.FileSystem fs,
                         org.apache.hadoop.fs.Path file,
                         org.apache.hadoop.io.compress.CompressionCodec codec,
                         boolean preserve,
                         Counters.Counter mergedMapOutputsCounter)
                  throws IOException

      Throws:
        `IOException`

    - #### Segment

          public Segment(org.apache.hadoop.conf.Configuration conf,
                         org.apache.hadoop.fs.FileSystem fs,
                         org.apache.hadoop.fs.Path file,
                         org.apache.hadoop.io.compress.CompressionCodec codec,
                         boolean preserve,
                         Counters.Counter mergedMapOutputsCounter,
                         long rawDataLength)
                  throws IOException

      Throws:
        `IOException`

    - #### Segment

          public Segment(org.apache.hadoop.conf.Configuration conf,
                         org.apache.hadoop.fs.FileSystem fs,
                         org.apache.hadoop.fs.Path file,
                         long segmentOffset,
                         long segmentLength,
                         org.apache.hadoop.io.compress.CompressionCodec codec,
                         boolean preserve)
                  throws IOException

      Throws:
        `IOException`

    - #### Segment

          public Segment(org.apache.hadoop.conf.Configuration conf,
                         org.apache.hadoop.fs.FileSystem fs,
                         org.apache.hadoop.fs.Path file,
                         long segmentOffset,
                         long segmentLength,
                         org.apache.hadoop.io.compress.CompressionCodec codec,
                         boolean preserve,
                         Counters.Counter mergedMapOutputsCounter)
                  throws IOException

      Throws:
        `IOException`

    - #### Segment

          public Segment(IFile.Reader<K,V> reader,
                         boolean preserve)

    - #### Segment

          public Segment(IFile.Reader<K,V> reader,
                         boolean preserve,
                         long rawDataLength)

    - #### Segment

          public Segment(IFile.Reader<K,V> reader,
                         boolean preserve,
                         Counters.Counter mapOutputsCounter)

  - ### Method Detail

    - #### getLength

          public long getLength()

    - #### getRawDataLength

          public long getRawDataLength()

    - #### getPosition

          public long getPosition()
                           throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.